Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create git identity

POST/workspaces/{organizationId}/git/identities
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
repostringrequired
namestringrequired
emailstringrequired
matches ^[^@\s]+@[^@\s]+\.[^@\s]+$
githubUsernamestring | null
signingKeyRefstring | null
Responses
200

Git identity saved

idstringrequired
organizationIdstringrequired
repostringrequired
namestringrequired
emailstringrequired
matches ^[^@\s]+@[^@\s]+\.[^@\s]+$
githubUsernamestring | nullrequired
signingKeyRefstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/git/identities' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "repo": "string",
  "name": "string",
  "email": "string",
  "githubUsername": "string",
  "signingKeyRef": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "repo": "string",
  "name": "string",
  "email": "string",
  "githubUsername": "string",
  "signingKeyRef": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?